## apt-dater 0.8.6

=== clients/debian/Makefile ===
clean:
	

install:
	mkdir -p $(DESTDIR)/usr/bin
	cp apt-dater-host $(DESTDIR)/usr/bin
	
	mkdir -p $(DESTDIR)/etc
	cp apt-dater-host.conf $(DESTDIR)/etc

## apt-dater 0.8.1+svn450

=== debian/changelog ===
apt-dater (0.8.1+svn450-1) unstable; urgency=high

  * New upstream svn snapshot.
    - Fixes bug, where apt-dater does not detect broken packages and moves the
      host to the unknown status.
      Closes: #560186
    - Added localized query confirms.
      Closes: #565931

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 Jan 2010 14:51:32 +0100

apt-dater (0.8.1+svn443-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Working hotkey l for exanding.
      Closes: #564450
    - Filetransfer is working again.
      Closes: #564459

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Jan 2010 13:42:04 +0100

apt-dater (0.8.1+svn438-1) unstable; urgency=high

  * New upstream svn snapshot.
    - Fixes grave bug, where apt-dater only prints usage messages instead of
      starting the ncurses gui. Much thanks to Simon Richter.
      Closes: #563159
  * Merge 0.8.1-1~bpo50+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Jan 2010 18:06:47 +0100

apt-dater (0.8.1-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Do not use the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Dec 2009 12:12:55 +0100

apt-dater (0.8.1-1) unstable; urgency=low

  * New upstream release.
    - Do not force DefaultUser and DefaultPort anymore.
      Closes: #559366

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 18 Dec 2009 15:10:41 +0100

apt-dater (0.8.0+svn434-1) unstable; urgency=high

  * New upstream svn snapshot.
    - Fixes bug where the status files are not read properly.
      Closes: #560186
  * Switch to ncursesw, so that umlauts are displayed correctly.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Dec 2009 22:11:01 +0100

apt-dater (0.8.0+svn431-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Remove hack to build the locale files.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 18:50:44 +0100

apt-dater (0.8.0+svn426-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Added italian translation from Milo Casagrande.
      Closes: #555820
    - CentOS hosts are properly handled now.
      Closes: #555534
    - Do not call apt-dater-host on the remote host with sudo anymore, if the
      user already has got root rights.
      Closes: #555535
  * Convert package to the 3.0 (quilt) format.
  * Install locale files.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 13 Nov 2009 12:47:14 +0100

apt-dater (0.8.0-3) unstable; urgency=low

  * Merge 0.8.0-2~bpo40+1 and 0.8.0-2~bpo50+1 changelog.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Sep 2009 12:52:03 +0200

apt-dater (0.8.0-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 07 Jun 2009 12:03:47 +0200

apt-dater (0.8.0-2~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * We need Tcl 8.4 instead of 8.5 on Etch.
  * Add dpatch and 01-aptitude_safe-upgrade.dpatch which replaces safe-upgrade
    by upgrade for aptitude on Debian Etch. safe-upgrade is only available
    since Lenny.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 07 Jun 2009 18:06:47 +0200

apt-dater (0.8.0-2) unstable; urgency=low

  * Install missing lib target. Without the history feature will not work and
    you will get a warning on startup.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 27 May 2009 14:43:54 +0200

apt-dater (0.8.0-1) unstable; urgency=low

  * New upstream release.
    - Fix apt-dater to fail on apt command when MAINTAINER is not set.
      Closes: #529200
    - Drop merged 01-aptitude_safe-upgrade.dpatch patch.
    - Repackaged original tarball to remove the .svn subfolders.
  * Configure it with --enable-autoref, --enable-history and --enable-debug to
    activate the new features.
  * Fix override disparity in apt-dater.
  * Fix typo in get-orig-source target.
  * Merge 0.7.0-1~bpo50+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 26 May 2009 18:39:07 +0200

apt-dater (0.7.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Change section of apt-dater-dbg to debug.
  * Change my email address.
  * Remove DM-Upload-Allowed control field.
  * Refresh debian/copyright and add my own copyright for the packaging.
  * Refer to the GPL-2 file instead of the GPL link.
  * Install the upstreams changelog.
  * Move apt-dater-dbg to the new section "debug".

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Apr 2009 19:26:06 +0200

apt-dater (0.7.0-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 17 Feb 2009 18:09:31 +0200

apt-dater (0.7.0-1) unstable; urgency=low

  * New upstream release.
    - Basic WUA (Windows) client support.
    - Drop 02-g_free-before-return.dpatch (merged).

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed, 21 Jan 2009 18:40:34 +0200

apt-dater (0.6.4.1-3) unstable; urgency=low

  * Add get-orig-source target.
  * Add 02-g_free-before-return.dpatch, which fixes a missing g_free of
    allocated memory before jumping out of the function with return.
    Closes: #511695

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 13 Jan 2009 18:27:52 +0200

apt-dater (0.6.4.1-2) unstable; urgency=low

  * Recommend on dmvirt at the apt-dater-host package.
  * Add missing ${misc:Depends}. Thanks lintian.
  * Adjust debian/watch to match with the new upstream naming scheme.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Sun, 21 Dec 2008 13:28:37 +0100

apt-dater (0.6.4.1-1) unstable; urgency=low

  * New upstream release.
    - This release also adds support for visual detection of differen virtual
      servers technologies, but the needed script imvirt for it is not packaged
      yet.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Tue, 25 Nov 2008 18:16:03 +0100

apt-dater (0.6.2+svn205-1) unstable; urgency=low



=== debian/control ===
Source: apt-dater
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 5), libpopt-dev, libglib2.0-dev, libncursesw5-dev, tcl8.5-dev, libxml2-dev
Homepage: http://www.ibh.de/apt-dater
Standards-Version: 3.8.3

Package: apt-dater
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, screen, openssh-client
Suggests: apt-dater-host, xsltproc
Description: terminal-based remote package update manager
 apt-dater provides an easy to use ncurses frontend for managing package
 updates on a large number of remote hosts using SSH.
 It supports Debian-based managed hosts as well as OpenSUSE and CentOS based
 systems.

Package: apt-dater-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${misc:Depends}, apt-dater (= ${binary:Version})
Description: terminal-based remote package update manager (dbg symbols)
 apt-dater provides an easy to use ncurses frontend for managing package
 updates on a large number of remote hosts using SSH.
 It supports Debian-based managed hosts as well as OpenSUSE and CentOS based
 systems.
 .
 This package contains the debugging symbols for the apt-dater package.

Package: apt-dater-host
Architecture: all
Depends: ${misc:Depends}, openssh-server, sudo, lsb-release, libapt-pkg-perl
Recommends: aptitude, imvirt
Description: host helper application for apt-dater
 apt-dater provides an easy to use ncurses frontend for managing package
 updates on a large number of remote hosts using SSH.
 It supports Debian-based managed hosts as well as OpenSUSE and CentOS based
 systems.
 .
 This package provides the helper application for apt-dater.
 It has to be installed on every apt-dater managed host.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-rpath \
	--enable-tclfilter --enable-xmlreport --enable-autoref --enable-history \
	--enable-debug

build: build-stamp
build-stamp: config.status
	dh_testdir
	(cd src && $(MAKE))
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	(cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd lib && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd po && make all && make DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd clients/debian && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater-host install)

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_installman -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_strip -a --dbg-package=apt-dater-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-dater 0.8.3

=== debian/changelog ===
apt-dater (0.8.3-2) unstable; urgency=low

  * Merge 0.8.3-1~bpo50+1 changelog.
  * Add japanese translation from Hideki Yamane.
    Closes: #582721

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 23 May 2010 21:01:01 +0200

apt-dater (0.8.3-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
    - Revert the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Apr 2010 20:00:12 +0200

apt-dater (0.8.3-1) unstable; urgency=low

  * New upstream release.
  * Add vietnamese translation from Clytie Siddall.
    Closes: #576024

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 03 Apr 2010 16:15:45 +0200

apt-dater (0.8.2+svn511-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixes wrong version number.
      Closes: #570498
  * Merge 0.8.2-2~bpo50+1 changelog.
  * Add german translation from Thomas Mueller.
    Closes: #570721

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 19:05:43 +0100

apt-dater (0.8.2-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
    - Revert the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 21:08:51 +0100

apt-dater (0.8.2-2) unstable; urgency=low

  * Add francaise translation from Christian Perrier.
    Closes: #568496
  * Add spanish translation from Francisco Javier Cuadrado.
    Closes: #568506

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 06 Feb 2010 14:12:16 +0100

apt-dater (0.8.2-1) unstable; urgency=low

  * New upstream release.
    - Added option to have automatic upgrades and also ask about that with
      debconf.
      Closes: #565930
  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Add swedish translation from Marting Bagge.
    Closes: #566906
  * Add russian translation from Yuri Kozlov.
    Closes: #567017
  * Add italian translation from Vincenzo Campanella.
  * Add portuguese translation from Pedro Ribeiro.
    Closes: #567420
  * Add czech translation from Michal Šimůnek.
    Closes: #567634

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 03 Feb 2010 18:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 5), libpopt-dev, libglib2.0-dev, libncursesw5-dev, tcl8.5-dev, libxml2-dev
+Build-Depends: debhelper (>= 5), libpopt-dev, libglib2.0-dev, libncursesw5-dev,
+ tcl8.5-dev, libxml2-dev, po-debconf
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: apt-dater
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	dh_testroot
 	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
+	debconf-updatepo
 	dh_clean
 
 install: build
@@ -43,6 +44,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i
 	dh_installman -i
+	dh_installdebconf -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## apt-dater 0.8.4

=== debian/changelog ===
apt-dater (0.8.4-3) unstable; urgency=high

  * Merge 0.8.4-2~bpo50+1 changelog.
  * Add patch 02-dist-upgrade-for-update.diff, which fixes an issue with
    displaying ABI incompatible updates, like the last bind9 security update.
    Closes: #611088

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jan 2011 18:22:29 +0100

apt-dater (0.8.4-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Remove patch 01-no-sudo-with-aptitude.diff, it is for squeeze only.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Oct 2010 14:56:20 +0200

apt-dater (0.8.4-2) unstable; urgency=high

  * Merge 0.8.4-1~bpo50+1 changelog.
  * Bump Standards-Version to 3.9.1 (no changed needed).
  * Mention apt-dater-host in the long description of apt-dater.
    Closes: #597935
  * Downgrade sudo dependency to recommends.
    Closes: #597936
  * Add patch 01-no-sudo-with-aptitude.diff from upstream svn. aptitude does
    not need root privileges since Squeeze to check for updates.
    Closes: #596723
  * Add missing perl:Depends.
  * Fixed debconf does not respect users choice. Thanks for the patch to Daniel
    Baumann. Bumping urgency to high.
    Closes: #597940
  * Suggest mc with the apt-dater package. mc is used for file transfers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Oct 2010 17:18:22 +0200

apt-dater (0.8.4-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
    - Revert the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Jul 2010 20:39:47 +0200

apt-dater (0.8.4-1) unstable; urgency=low

  * New upstream release.
    - Do not use apt-get for update checking, if aptitude is configured.
      Closes: #587106
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Jul 2010 20:42:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends: debhelper (>= 5), libpopt-dev, libglib2.0-dev, libncursesw5-dev,
  tcl8.5-dev, libxml2-dev, po-debconf
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: apt-dater
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, screen, openssh-client
-Suggests: apt-dater-host, xsltproc
+Suggests: apt-dater-host, xsltproc, mc
 Description: terminal-based remote package update manager
  apt-dater provides an easy to use ncurses frontend for managing package
- updates on a large number of remote hosts using SSH.
+ updates on a large number of remote hosts using SSH and apt-dater-host.
  It supports Debian-based managed hosts as well as OpenSUSE and CentOS based
  systems.
 
@@ -32,8 +32,9 @@
 
 Package: apt-dater-host
 Architecture: all
-Depends: ${misc:Depends}, openssh-server, sudo, lsb-release, libapt-pkg-perl
-Recommends: aptitude, imvirt
+Depends: ${perl:Depends}, ${misc:Depends}, openssh-server, lsb-release,
+ libapt-pkg-perl
+Recommends: aptitude, imvirt, sudo
 Description: host helper application for apt-dater
  apt-dater provides an easy to use ncurses frontend for managing package
  updates on a large number of remote hosts using SSH.

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	dh_installdocs -i
 	dh_installman -i
 	dh_installdebconf -i
+	dh_perl -i
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## apt-dater 0.8.5

=== debian/changelog ===
apt-dater (0.8.5-2) unstable; urgency=low

  * Merge 0.8.4-4+squeeze1 changelog.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Add danish debconf translation from Joe Dalton.
    Closes: #623087
  * Update debconf translations with debconf-updatepo.
  * Build with hardening-wrapper.
  * Wrap build dependencies.
  * Add patch 01-fix-format-error.diff to fix an FTBFS with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 01 May 2011 15:11:18 +0200

apt-dater (0.8.5-1) unstable; urgency=high

  * New upstream release.
    - Remove all patches, they have been merged by upstream.
  * Fix apt-dater-host.config, to not mess up with boolean values and integers.
    Closes: #611968
  * Bump debhelper to version 7.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 20:39:55 +0100

apt-dater (0.8.4-4+squeeze1) stable-proposed-updates; urgency=medium

  * Fix apt-dater-host.config, to not mess up with boolean values and integers.
    Closes: #611968

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 04 Feb 2011 10:22:10 +0100

apt-dater (0.8.4-4) unstable; urgency=high

  * Add patch from Stefan Bühler, which fixes apt-dater-host.postinst to
    add the missing ";" at EOL.
    Closes: #611462

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 29 Jan 2011 18:33:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 5), libpopt-dev, libglib2.0-dev, libncursesw5-dev,
- tcl8.5-dev, libxml2-dev, po-debconf
+Build-Depends: debhelper (>= 7),
+ libpopt-dev,
+ libglib2.0-dev,
+ libncursesw5-dev,
+ tcl8.5-dev,
+ libxml2-dev,
+ po-debconf,
+ hardening-wrapper
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: apt-dater
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -32,7 +33,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	(cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
 	(cd lib && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
 	(cd po && make all && make DESTDIR=$(CURDIR)/debian/apt-dater install)

## apt-dater 0.8.6

=== debian/changelog ===
apt-dater (0.8.6-4) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Add Brazilian Portuguese debconf translation.
    Closes: #663492

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Mar 2012 21:05:36 +0100

apt-dater (0.8.6-3) unstable; urgency=low

  * Add Dutch debconf translation.
    Closes: #659258

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 12 Feb 2012 11:41:10 +0100

apt-dater (0.8.6-2) unstable; urgency=low

  * Add patch 02-dist-upgrade, since safe-upgrade is not available at apt-get.
    Closes: #649688

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 02 Dec 2011 21:06:42 +0100

apt-dater (0.8.6-1) unstable; urgency=high

  * New upstream release.
    - Use merged apt-dater-host.1 manpage.
    - Remove all patches, they have been merged with this upstream release.
    - Fixed FTBFS.
      Closes: #642696
  * Do not recommend aptitude anymore.
  * Wrap debian/control lines.
  * Add 01-fix-locale-ftbfs.diff to fix another FTBFS.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Sep 2011 19:27:05 +0200

apt-dater (0.8.5-3) unstable; urgency=low

  * Use again apt-get as default package manager.
    Closes: #635048
  * Add missing build-arch and build-indep target.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 21:25:41 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,17 @@
  po-debconf,
  hardening-wrapper
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: apt-dater
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, screen, openssh-client
-Suggests: apt-dater-host, xsltproc, mc
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ screen,
+ openssh-client
+Suggests: apt-dater-host,
+ xsltproc,
+ mc
 Description: terminal-based remote package update manager
  apt-dater provides an easy to use ncurses frontend for managing package
  updates on a large number of remote hosts using SSH and apt-dater-host.
@@ -27,7 +32,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: ${misc:Depends}, apt-dater (= ${binary:Version})
+Depends: ${misc:Depends},
+ apt-dater (= ${binary:Version})
 Description: terminal-based remote package update manager (dbg symbols)
  apt-dater provides an easy to use ncurses frontend for managing package
  updates on a large number of remote hosts using SSH.
@@ -38,9 +44,13 @@
 
 Package: apt-dater-host
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, openssh-server, lsb-release,
+Depends: ${perl:Depends},
+ ${misc:Depends},
+ openssh-server,
+ lsb-release,
  libapt-pkg-perl
-Recommends: aptitude, imvirt, sudo
+Recommends: imvirt,
+ sudo
 Description: host helper application for apt-dater
  apt-dater provides an easy to use ncurses frontend for managing package
  updates on a large number of remote hosts using SSH.

## apt-dater 0.9.0

=== clients/debian/Makefile ===
--- 
+++ 
@@ -7,3 +7,9 @@
 	
 	mkdir -p $(DESTDIR)/etc
 	cp apt-dater-host.conf $(DESTDIR)/etc
+	
+	mkdir -p $(DESTDIR)/etc/kernel/postinst.d
+	cp scripts/apt-dater-host_reboot $(DESTDIR)/etc/kernel/postinst.d
+	
+	mkdir -p $(DESTDIR)/etc/apt/apt.conf.d
+	cp scripts/99apt-dater-host_periodic $(DESTDIR)/etc/apt/apt.conf.d

=== debian/changelog ===
apt-dater (0.9.0-7) unstable; urgency=low

  * Replace my old e-mail address in debian/copyright.
  * Point debian/watch to github.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Build package with autotools_dev.
    Closes: #727320

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Dec 2013 09:58:28 +0100

apt-dater (0.9.0-6) unstable; urgency=low

  * Bump compat level to version 9.
  * Migrate package to minimal debhelper.
  * Uploading to unstable.
  * Remove unused lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 10:05:55 +0200

apt-dater (0.9.0-5) experimental; urgency=low

  * Add patch 04-wheezy-kernel, which fixes an missdetection of the Wheezy 3.2
    Linux Kernel as selfbuilt variant.
    Closes: #697330
  * Merge 0.9.0-3+wheezy1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Jan 2013 20:02:47 +0100

apt-dater (0.9.0-4) experimental; urgency=low

  * Merge 0.9.0-3~bpo60+1 changelog.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Add upstream patch 03-patch-hostname-plus-sign to accept plus signs in
    hostnames.
    Closes: #687981

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 12 Dec 2012 11:19:03 +0100

apt-dater (0.9.0-3+wheezy1) unstable; urgency=low

  * Add patch 03-wheezy-kernel, which fixes an missdetection of the Wheezy 3.2
    Linux Kernel as selfbuilt variant.
    Closes: #697330

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Jan 2013 19:39:23 +0100

apt-dater (0.9.0-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Jul 2012 10:30:03 +0200

apt-dater (0.9.0-3) unstable; urgency=low

  * Add upstream patch 02-refresh-ssh-flags which adds OptionalCmdFlags on
    refreshing hosts.
    Closes: #678111

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 03 Jul 2012 19:30:34 +0200

apt-dater (0.9.0-2) unstable; urgency=low

  * Add patch 01-ld-flags-non-linux, which fixes an FTBFS on non-Linux
    architectures.
    Closes: #675287

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 01 Jun 2012 18:44:56 +0200

apt-dater (0.9.0-1) unstable; urgency=low

  * New upstream release.
    - apt-dater does not silently fail anymore on refreshing a bad host.
      Closes: #646902
    - Drop merged patches 01-fix-locale-ftbfs and 02-dist-upgrade.
    - Add new apt-dater-host dependency on libimvirt-perl.
    - Add new apt-dater dependency on lockfile-progs or procmail.
    - Build with the new clusters function.
    - Remove old clients/README-0.1 doc.
  * Install apt-dater-host sudoers configuration file, which is by default
    disabled.
  * Remove suggest on mc, sftp is the default method to transfer files.
  * Add lintian override for false positive hardening-no-fortify-functions
    warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 29 May 2012 18:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,27 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  libpopt-dev,
  libglib2.0-dev,
  libncursesw5-dev,
  tcl8.5-dev,
  libxml2-dev,
  po-debconf,
+ autotools-dev,
  hardening-wrapper
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 
 Package: apt-dater
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  screen,
+ lockfile-progs | procmail,
  openssh-client
 Suggests: apt-dater-host,
- xsltproc,
- mc
+ xsltproc
 Description: terminal-based remote package update manager
  apt-dater provides an easy to use ncurses frontend for managing package
  updates on a large number of remote hosts using SSH and apt-dater-host.
@@ -48,6 +49,7 @@
  ${misc:Depends},
  openssh-server,
  lsb-release,
+ libimvirt-perl,
  libapt-pkg-perl
 Recommends: imvirt,
  sudo

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-tclfilter \
	--enable-xmlreport \
	--enable-autoref \
	--enable-history \
	--enable-clusters \
	--enable-debug

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_build:
	(cd src && $(MAKE))
	(cd po && $(MAKE) all)

override_dh_auto_install:
	(cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd lib && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd po && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater install)
	(cd clients/debian && $(MAKE) DESTDIR=$(CURDIR)/debian/apt-dater-host install)

override_dh_auto_clean:
	dh_clean
	debconf-updatepo

override_dh_strip:
	dh_strip --dbg-package=apt-dater-dbg

=== debian/watch ===
version=3
https://github.com/DE-IBH/apt-dater/releases \
/DE-IBH/apt-dater/archive/v(.+)\.tar\.gz

## apt-dater 1.0.1+git20150119

=== debian/changelog ===
apt-dater (1.0.1+git20150119-1) unstable; urgency=low

  * New upstream git snapshot.
    - Fixes FTBFS with ld -b.
      Closes: #767594

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Jan 2015 19:14:15 +0100

apt-dater (1.0.1+git20141212-1) unstable; urgency=low

  * New upstream git snapshot.
    - Fixed segfault if a dot is used in the configuration as alias.
      Closes: #767584
    - Fixed typos in manpage.
      Closes: #770444
  * Merge 0.9.0-8 changelog.
  * Add automake as build dependency.
  * Add NEWS entry about new configuration format.
    Closes: #767586

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Dec 2014 19:25:34 +0100

apt-dater (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixed wrong variable usage in cmd command.
    - Updates portuguese translation.
      Closes: #767524

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 31 Oct 2014 20:56:24 +0100

apt-dater (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.
  * Remove po/stamp-po in debian/clean to allow building twice in a row.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Oct 2014 17:40:07 +0100

apt-dater (0.9.9+git20141027-1) experimental; urgency=low

  * New upstream git snapshot.
    - apt-dater.conf manpage has been renamed to apt-dater.config.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Oct 2014 20:02:30 +0100

apt-dater (0.9.9+git20141015-1) experimental; urgency=medium

  * New upstream git snapshot.
    - Enhanced config format.
      Closes: #678271
  * Simplify building and add autoconf as build dependency.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Oct 2014 13:29:41 +0200

apt-dater (0.9.9+git20140930-1) experimental; urgency=medium

  * New upstream git snapshot.
    - Use SSH and OptionalCmdFlags on host refresh.
      Closes: #678111
    - Localize date/time display.
      Closes: #718500
    - Add portuguese translation.
      Closes: #757290
    - autoreconf is not required anymore.
    - Patch 01-ld-flags-non-linux is not required anymore.
    - Remove merged patch 02-refresh-ssh-flags.
    - Remove merged patch 03-patch-hostname-plus-sign.
    - Add new build dependency libconfig-dev.
  * Remove package apt-dater-host. It has been split up into a separate source
    package.
  * Remove deprecated hardening-wrapper build depends.
  * Bump Standards-Version to 3.9.6 (no changes required).
  * Update debian/copyright.
  * Overwrite lintian warning debian-watch-may-check-gpg-signature.
  * Use DEP5 copyright format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 30 Sep 2014 18:20:40 +0200

apt-dater (0.9.0-8) testing; urgency=low

  * Drop binary package apt-dater-host. It is superseded by the new
    src:apt-dater-host package.
    - Drop obsolete patch 04-wheezy-kernel.
    - Drop debconf templates.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Nov 2014 23:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  libglib2.0-dev,
  libncursesw5-dev,
  tcl8.5-dev,
- libxml2-dev,
- po-debconf,
- autotools-dev,
- hardening-wrapper
+ libconfig-dev,
+ automake,
+ autoconf,
+ libxml2-dev
 Homepage: http://www.ibh.de/apt-dater
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: apt-dater
 Architecture: any
@@ -42,22 +42,3 @@
  systems.
  .
  This package contains the debugging symbols for the apt-dater package.
-
-Package: apt-dater-host
-Architecture: all
-Depends: ${perl:Depends},
- ${misc:Depends},
- openssh-server,
- lsb-release,
- libimvirt-perl,
- libapt-pkg-perl
-Recommends: imvirt,
- sudo
-Description: host helper application for apt-dater
- apt-dater provides an easy to use ncurses frontend for managing package
- updates on a large number of remote hosts using SSH.
- It supports Debian-based managed hosts as well as OpenSUSE and CentOS based
- systems.
- .
- This package provides the helper application for apt-dater.
- It has to be installed on every apt-dater managed host.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-tclfilter \
	--enable-xmlreport \
	--enable-autoref \
	--enable-history \
	--enable-clusters \
	--enable-debug

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=apt-dater-dbg

## apt-dater 1.0.2

=== debian/changelog ===
apt-dater (1.0.2-1) unstable; urgency=low

  * New upstream release.
    - Set the default of the opt-cmd-flags host option to "-t" since this is
      essential.
      Closes: #776392
    - Add new build dependency vim-common.
  * Replace screen dependency with tmux.
  * Create apt-dater group for session sharing.
  * Add missing directories.
  * Make the build reproducible.
    Closes: #789648
  * Drop automake and autoconf build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Jul 2015 17:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  libncursesw5-dev,
  tcl8.5-dev,
  libconfig-dev,
- automake,
- autoconf,
+ vim-common,
  libxml2-dev
 Homepage: http://www.ibh.de/apt-dater
 Standards-Version: 3.9.6
@@ -18,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- screen,
+ tmux,
  lockfile-progs | procmail,
  openssh-client
 Suggests: apt-dater-host,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+SOURCE_DATE_EPOCH := $(shell date -d "$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
 DEB_CONFIGURE_EXTRA_FLAGS := \
 	--enable-tclfilter \
@@ -6,7 +8,8 @@
 	--enable-autoref \
 	--enable-history \
 	--enable-clusters \
-	--enable-debug
+	--enable-debug \
+	--enable-tmux
 
 %:
 	dh $@

## apt-dater 1.0.2+git20150804

=== debian/changelog ===
apt-dater (1.0.2+git20150804-1~ab~SID+1) sid-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    ed314532fcfc7b1a61175ec9b61286183deed1e6.
  * External port from:
    http://httpredir.debian.org/debian/pool/main/a/apt-dater/apt-
    dater_1.0.2+git20150804-1.dsc
  * MINI_BUILDD: BACKPORT_MODE

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sun, 06 Sep 2015 10:07:13 +0200

apt-dater (1.0.2+git20150804-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Outdated manpage fixed.
      Closes: #793100
  * Prevent users not part of group apt-dater to read global config files.
    Closes: #793180
  * Add missing libxml-writer-perl dependency.
    Closes: #792807
  * dmangle git in debian/watch.
  * Add dh-autoreconf.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 28 Aug 2015 11:14:38 +0200

## apt-dater 1.0.2+git20151216

=== debian/changelog ===
apt-dater (1.0.2+git20151216-1) unstable; urgency=medium

  * New upstream git snapshot.
    - Fix hosts stuck in refresh.
      Closes: #801994

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 16 Dec 2015 11:00:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
+ dh-autoreconf,
  libpopt-dev,
  libglib2.0-dev,
  libncursesw5-dev,
@@ -17,6 +18,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
+ ${perl:Depends},
+ libxml-writer-perl,
  tmux,
  lockfile-progs | procmail,
  openssh-client

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	--enable-tmux
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

## apt-dater 1.0.3

=== debian/changelog ===
apt-dater (1.0.3-6) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1 (no changes required).
  * Replace build dependency vim-common with xxd.
    Closes: #877595
  * Fix homepage field.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 10:58:26 +0100

apt-dater (1.0.3-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Add manpage for adsh.1.
  * Include pkg-info.mk to define SOURCE_DATE_EPOCH.
  * Add patch 01-spelling-error.
  * Adjust paths for apt-dater examples.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 21 Jul 2017 10:47:46 +0200

apt-dater (1.0.3-4) unstable; urgency=medium

  * Add upstream patch 03-broken-tcl-filters to fix broken Tcl filters.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 May 2017 15:54:42 +0200

apt-dater (1.0.3-3) unstable; urgency=medium

  * Replace patch 01-grep-syntax-error with 02-fix-default-err-pattern from
    Stephan Sürken to realy fix #827339.
    Closes: #827339
  * Merge 1.0.3-2~bpo8+1 changelog.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 22 Nov 2016 11:27:20 +0100

apt-dater (1.0.3-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 Oct 2016 16:04:54 +0200

apt-dater (1.0.3-2) unstable; urgency=high

  * Merge 1.0.3-1~bpo8+1 changelog.
  * Add dependency on libglib-perl.
  * Add patch 01-grep-syntax-error to fix a syntax error in the typescript.
    Closes: #827339

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 27 Sep 2016 09:23:11 +0200

apt-dater (1.0.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 06 Sep 2016 11:32:23 +0200

apt-dater (1.0.3-1) unstable; urgency=medium

  * New upstream release.
    - Silence obsolete tmux 2.2 option "status-utf8".
      Closes: #827107
    - Typo in german translation fixed.
      Closes: #813103
    - Fix generation of broken default xml files.
      Closes: #826403
    - Correct usage of SOURCE_DATE_EPOCH in Makefile and debian/rules.
      Closes: #797211
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Fix capitalization error in package description of openSUSE.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 13 Jun 2016 16:29:50 +0200

=== debian/control ===
Source: apt-dater
Section: admin
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libpopt-dev,
 libglib2.0-dev,
 libncursesw5-dev,
 tcl8.5-dev,
 libconfig-dev,
 xxd,
 libxml2-dev
Homepage: https://github.com/DE-IBH/apt-dater
Standards-Version: 4.1.1

Package: apt-dater
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 libxml-writer-perl,
 libglib-perl,
 tmux,
 lockfile-progs | procmail,
 openssh-client
Suggests: apt-dater-host,
 xsltproc
Description: terminal-based remote package update manager
 apt-dater provides an easy to use ncurses frontend for managing package
 updates on a large number of remote hosts using SSH and apt-dater-host.
 It supports Debian-based managed hosts as well as openSUSE and CentOS based
 systems.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-tclfilter \
	--enable-xmlreport \
	--enable-autoref \
	--enable-history \
	--enable-clusters \
	--enable-debug \
	--enable-tmux

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

## apt-dater 1.0.4

=== debian/changelog ===
apt-dater (1.0.4-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1096321)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 21:54:30 +0300

apt-dater (1.0.4-8) unstable; urgency=medium

  * Remove obsolete NEWS file.
  * Add workaround to allow building this package twice in a row.
    Closes: #1043874
  * Fix build-depends-on-obsolete-package warning.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 17 Aug 2023 13:29:08 +0200

apt-dater (1.0.4-7) unstable; urgency=medium

  * Adjust debian/watch to work again with GitHub.
  * Bump Standards-Version to 4.6.2.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 12 Jan 2023 11:07:34 +0100

apt-dater (1.0.4-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:16 +0200

apt-dater (1.0.4-5) unstable; urgency=medium

  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Oct 2021 10:56:23 +0200

apt-dater (1.0.4-4) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:21 +0100

apt-dater (1.0.4-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Temporary override lintian warning source-contains-unsafe-symlink until the
    new apt-dater release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 18:22:32 +0100

apt-dater (1.0.4-2) unstable; urgency=medium

  * Install missing docs.
    Closes: #924176
  * Add patch 01-tmux-options to fix an error with tmux 2.4, because of an old
    invalid option.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 15 Apr 2019 10:07:25 +0200

apt-dater (1.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Remove merged patch 01-spelling-error.
    - Remove merged patch 02-fix-default-err-pattern.
    - Remove merged patch 03-broken-tcl-filters.
  * Bump Standards-Version to 4.3.0.
  * Bump debian/compat to level 12.
  * Move lintian-overrides file to source directory.
  * Fix renamed lintian tag.
  * Remove deprecated dh-autoreconf.
  * Use secure URIs in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Feb 2019 10:27:50 +0100

apt-dater (1.0.3-7) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes required).
  * Bump debian/compat to level 11.
  * Switch to the tcl-dev build dependency from tcl8.5-dev as Tcl/Tk 8.5
    is to be removed from Debian.
    Closes: #887927

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Mar 2018 13:49:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: admin
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
  libpopt-dev,
  libglib2.0-dev,
- libncursesw5-dev,
- tcl8.5-dev,
+ libncurses-dev,
+ tcl-dev,
  libconfig-dev,
  xxd,
  libxml2-dev
 Homepage: https://github.com/DE-IBH/apt-dater
-Standards-Version: 4.1.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 
 Package: apt-dater
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,15 @@
 	--enable-tmux
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_auto_configure:
-	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/tmp
+
+override_dh_auto_configure:
+	cp -f $(CURDIR)/conf/apt-dater.xml.inc $(CURDIR)/conf/hosts.xml.inc $(CURDIR)/conf/tmux.conf.inc $(CURDIR)/debian/
+	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
+
+override_dh_auto_clean:
+	cp -f $(CURDIR)/debian/apt-dater.xml.inc $(CURDIR)/debian/hosts.xml.inc $(CURDIR)/debian/tmux.conf.inc $(CURDIR)/conf/ || true
+	dh_auto_clean

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git\d+// \
https://github.com/DE-IBH/apt-dater/tags .*/v(\d\S+)\.tar\.gz

## apt-dater 1.0.4+git20260113

=== debian/changelog ===
apt-dater (1.0.4+git20260113-1) unstable; urgency=medium

  * New upstream git snapshot from 13.01.2026.
    - Rework many parts of the package.
    - Update error pattern to ignore fail2ban string.
      Closes: #976725
    - Rewrite patch 02-gcc-15.
  * Acknowledge NMU from Adrian Bunk.
  * Bump Standards-Version to 4.7.3 (Remove priority field).
  * Remove Rules-Requires-Root control field.
  * Add patch 03-display-hosts. Hosts should be displayed complete on start.
    Still far away from being perfect.
    Closes: #812871
  * Fix lintian warning old-fsf-address-in-copyright-file.
  * Remove some deprecated lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Jan 2026 10:48:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: apt-dater
 Section: admin
-Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ docbook-xsl,
  libpopt-dev,
  libglib2.0-dev,
  libncurses-dev,
- tcl-dev,
  libconfig-dev,
- xxd,
- libxml2-dev
+ libxml2-dev,
+ xsltproc,
+ xxd
 Homepage: https://github.com/DE-IBH/apt-dater
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 
 Package: apt-dater
 Architecture: any
